# eth\_uninstallFilter

Uninstalls a filter with given id. Should always be called when watch is no longer needed. Additionally Filters timeout when they aren't requested with [eth\_getFilterChanges](https://app.gitbook.com/o/cJtxpQ7oeewtoIgMb5kv/s/F3uvE671dWWOTAu9svnI/~/changes/130/hedera/json-rpc-relay-api/eth_getfilterchanges) for a period of time.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_uninstallfilter)

## **Parameters**

1. `QUANTITY` - The filter id.

```json
params: [
  "0xb", // 11
]
```

## Returns

`Boolean` - `true` if the filter was successfully uninstalled, otherwise `false`.

```json
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": true
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.hedera.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_uninstallFilter","params":["0xb"],"id":73}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.hedera.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_uninstallFilter","params":["0xb"],"id":73}'
    
```

{% endtab %}
{% endtabs %}
